Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations.email.formatting
Class StaticEmailTextFormatter

    java.lang.Object
      com.bea.netuix.application.communities.invitations.email.formatting.StaticEmailTextFormatter

All Implemented Interfaces
  EmailTextFormatter

    public class StaticEmailTextFormatter

extends Object
implements EmailTextFormatter

`EmailTextFormatter` implementation that uses a fixed subject and body text.

Field Summary
`protected InvitationDetails` | `invitationDetails`
`protected String` | `invitationURL`

Constructor Summary
`StaticEmailTextFormatter(String subjectText, String bodyText)`

Method Summary
`protected String` | `appendInvitationURLToBodyText(Invitee i)`
`void` | `destroy()` Called by `EmailInviter` implementations once they are completed using this `EmailTextFormatter`, giving the formatter an opportunity to do any necessary cleanup or to release resources obtained in init.
`EmailContent` | `getBody(Invitee i)` Get the email body text for the current `Invitee`
`EmailContent` | `getSubject(Invitee i)` Get the email subject text for the current `Invitee`
`void` | `init(InvitationDetails invitationDetails, String invitationURL)` Perform any one-time setup operations that need to be done such as obtaining resources that are needed during calls to getSubject and getBody

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### invitationURL

    protected String invitationURL

### invitationDetails

    protected InvitationDetails invitationDetails

Constructor Detail

### StaticEmailTextFormatter

    public StaticEmailTextFormatter(String subjectText,
                                    String bodyText)

Method Detail

### init

    public void init(InvitationDetails invitationDetails,
                     String invitationURL)

  Description copied from interface: `EmailTextFormatter`
  Perform any one-time setup operations that need to be done such as obtaining resources that are needed during calls to getSubject and getBody

  Specified by:
    `init` in interface `EmailTextFormatter`
  Parameters
    `invitationDetails` - the `InvitationDetails` for this invitation operation
    `invitationURL` - the URL to the registration page or the community for this invitation operation. Email messages should include this URL so that recipients can navigate to the inviting community.

### getSubject

    public EmailContent getSubject(Invitee i)

  Description copied from interface: `EmailTextFormatter`
  Get the email subject text for the current `Invitee`

  Specified by:
    `getSubject` in interface `EmailTextFormatter`
  Parameters
    `i` - the current `Invitee`
  Returns
    subject text

### getBody

    public EmailContent getBody(Invitee i)

  Description copied from interface: `EmailTextFormatter`
  Get the email body text for the current `Invitee`

  Specified by:
    `getBody` in interface `EmailTextFormatter`
  Parameters
    `i` - the current `Invitee`
  Returns
    body text

### appendInvitationURLToBodyText

    protected String appendInvitationURLToBodyText(Invitee i)

### destroy

    public void destroy()

  Description copied from interface: `EmailTextFormatter`
  Called by `EmailInviter` implementations once they are completed using this `EmailTextFormatter`, giving the formatter an opportunity to do any necessary cleanup or to release resources obtained in init.

  Specified by:
    `destroy` in interface `EmailTextFormatter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved